import { Injectable } from '@nestjs/common';
import { TimezoneFinderPort } from '../core/ports/timezone-finder.port';
import { find } from 'geo-tz';

@Injectable()
export class TimezoneFinder implements TimezoneFinderPort {
  timezones = (lon: number, lat: number): string[] => find(lat, lon);
}
