import { ExceptionBase } from '@libs/exceptions';

export class AdAlreadyExistsError extends ExceptionBase {
  static readonly message = 'Ad already exists';

  public readonly code = 'AD.ALREADY_EXISTS';

  constructor(cause?: Error, metadata?: unknown) {
    super(AdAlreadyExistsError.message, cause, metadata);
  }
}
