import { AutoMap } from '@automapper/classes';
import { IsLatitude, IsLongitude } from 'class-validator';

export class CoordinatesDTO {
  @IsLongitude()
  @AutoMap()
  lon: number;

  @IsLatitude()
  @AutoMap()
  lat: number;
}
